Package org.firebirdsql.jca

## Class FBLocalTransaction.FBLocalXid

- java.lang.Object
- - org.firebirdsql.jca.FBLocalTransaction.FBLocalXid

- All Implemented Interfaces:
    `javax.transaction.xa.Xid`
  Enclosing class:
    FBLocalTransaction

      public static class FBLocalTransaction.FBLocalXid
      extends java.lang.Object
      implements javax.transaction.xa.Xid

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.Xid

      `MAXBQUALSIZE, MAXGTRIDSIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FBLocalXid()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getBranchQualifier()` | Return the branch qualifier of this transaction.
    `int` | `getFormatId()` | Return the format identifier of this transaction.
    `byte[]` | `getGlobalTransactionId()` | Return the global transaction id of this transaction.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FBLocalXid

          public FBLocalXid()

  - ### Method Detail

    - #### getGlobalTransactionId

          public byte[] getGlobalTransactionId()

      Return the global transaction id of this transaction.
      Specified by:
        `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

    - #### getBranchQualifier

          public byte[] getBranchQualifier()

      Return the branch qualifier of this transaction.
      Specified by:
        `getBranchQualifier` in interface `javax.transaction.xa.Xid`

    - #### getFormatId

          public int getFormatId()

      Return the format identifier of this transaction.

      The format identifier augments the global id and specifies how the global id and branch qualifier should be interpreted.

      Specified by:
        `getFormatId` in interface `javax.transaction.xa.Xid`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`